
package com.tmerclub.cloud.user.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;


/**
 * 用户扩展信息
 *
 * @author YXF
 * @date 2020-12-08 10:16:53
 */
public class UserExtension extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     *
     */
    private Long userExtensionId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户等级
     */
    private Integer level;

    /**
     * 等级条件 0 普通会员 1 付费会员
     */
    private Integer levelType;

    /**
     * 用户当前成长值
     */
    private Integer growth;

    /**
     * 用户积分
     */
    private Long score;

    /**
     * 用户总余额
     */
    private Long balance;

    /**
     * 用户实际余额
     */
    private Long actualBalance;

    /**
     * 通联累计余额
     */
    private Long allinpayBalance;

    /**
     * 通联实际余额
     */
    private Long allinpayActualBalance;

    /**
     * 通联会员创建(0:否 1:是)
     */
    private Integer allinpayCreate;

    /**
     * 通联实名认证(0:否 1:是)
     */
    private Integer allinpayRealNameSet;

    /**
     * 通联手机绑定(0:否 1:是)
     */
    private Integer allinpayPhoneBind;

    /**
     * 通联支付密码设置(0:否 1:是)
     */
    private Integer allinpayPayPwdSet;

    /**
     * 通联提现协议签约(0:否 1:是)
     */
    private Integer allinpayProtocolSign;

    /**
     * 通联支付账户绑定(0:否 1:是)
     */
    private Integer allinpayPayAcctBind;

    /**
     * 乐观锁
     */
    private Integer version;

    /**
     * 连续签到天数
     */
    private Integer signDay;

    /**
     * 用户付费会员等级
     */
    private Integer vipLevel;

    public Long getUserExtensionId() {
        return userExtensionId;
    }

    public void setUserExtensionId(Long userExtensionId) {
        this.userExtensionId = userExtensionId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public Integer getLevelType() {
        return levelType;
    }

    public void setLevelType(Integer levelType) {
        this.levelType = levelType;
    }

    public Integer getGrowth() {
        return growth;
    }

    public void setGrowth(Integer growth) {
        this.growth = growth;
    }

    public Long getScore() {
        return score;
    }

    public void setScore(Long score) {
        this.score = score;
    }

    public Long getBalance() {
        return balance;
    }

    public void setBalance(Long balance) {
        this.balance = balance;
    }

    public Long getActualBalance() {
        return actualBalance;
    }

    public void setActualBalance(Long actualBalance) {
        this.actualBalance = actualBalance;
    }

    public Long getAllinpayBalance() {
        return allinpayBalance;
    }

    public void setAllinpayBalance(Long allinpayBalance) {
        this.allinpayBalance = allinpayBalance;
    }

    public Long getAllinpayActualBalance() {
        return allinpayActualBalance;
    }

    public void setAllinpayActualBalance(Long allinpayActualBalance) {
        this.allinpayActualBalance = allinpayActualBalance;
    }

    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }

    public Integer getSignDay() {
        return signDay;
    }

    public void setSignDay(Integer signDay) {
        this.signDay = signDay;
    }

    public Integer getVipLevel() {
        return vipLevel;
    }

    public void setVipLevel(Integer vipLevel) {
        this.vipLevel = vipLevel;
    }

    public Integer getAllinpayCreate() {
        return allinpayCreate;
    }

    public void setAllinpayCreate(Integer allinpayCreate) {
        this.allinpayCreate = allinpayCreate;
    }

    public Integer getAllinpayRealNameSet() {
        return allinpayRealNameSet;
    }

    public void setAllinpayRealNameSet(Integer allinpayRealNameSet) {
        this.allinpayRealNameSet = allinpayRealNameSet;
    }

    public Integer getAllinpayPhoneBind() {
        return allinpayPhoneBind;
    }

    public void setAllinpayPhoneBind(Integer allinpayPhoneBind) {
        this.allinpayPhoneBind = allinpayPhoneBind;
    }

    public Integer getAllinpayPayPwdSet() {
        return allinpayPayPwdSet;
    }

    public void setAllinpayPayPwdSet(Integer allinpayPayPwdSet) {
        this.allinpayPayPwdSet = allinpayPayPwdSet;
    }

    public Integer getAllinpayProtocolSign() {
        return allinpayProtocolSign;
    }

    public void setAllinpayProtocolSign(Integer allinpayProtocolSign) {
        this.allinpayProtocolSign = allinpayProtocolSign;
    }

    public Integer getAllinpayPayAcctBind() {
        return allinpayPayAcctBind;
    }

    public void setAllinpayPayAcctBind(Integer allinpayPayAcctBind) {
        this.allinpayPayAcctBind = allinpayPayAcctBind;
    }

    @Override
    public String toString() {
        return "UserExtension{" +
                "userExtensionId=" + userExtensionId +
                ", userId=" + userId +
                ", level=" + level +
                ", levelType=" + levelType +
                ", growth=" + growth +
                ", score=" + score +
                ", balance=" + balance +
                ", actualBalance=" + actualBalance +
                ", allinpayBalance=" + allinpayBalance +
                ", allinpayActualBalance=" + allinpayActualBalance +
                ", allinpayRealNameSet=" + allinpayRealNameSet +
                ", allinpayPhoneBind=" + allinpayPhoneBind +
                ", allinpayPayPwdSet=" + allinpayPayPwdSet +
                ", allinpayProtocolSign=" + allinpayProtocolSign +
                ", allinpayPayAcctBind=" + allinpayPayAcctBind +
                ", version=" + version +
                ", signDay=" + signDay +
                ", vipLevel=" + vipLevel +
                '}';
    }
}
